stages:
	- build
	- deploy
	build:
		stages: build
		when: on_success
		only:
			- master
		image: docker:stable
		services:
			- docker:dind
		script:
			- docker login -u cicd-example -p $CI_TOKEN registry.gitlab.com
			- docker build -t registry.gitlab.com/randho.bagas12/belajar-ci-cd .
			- docker push registry.gitlab.com/randho.bagas12/belajar-ci-cd
	
	deploy:
		stages: deploy
		when: on_success
		only:
			- master
		image: curlimages/curl:latest
		services:
			- docker:dind
		script:
			- curl --user Admin:$JENKINS_PWD http://localhost:8080/
